> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Unassign User

> Unassign a user from a session policy.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/session-policies/{id}/assignments/users/{user_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/session-policies/{id}/assignments/users/{user_id}:
    delete:
      tags:
        - Session Policy
      summary: Unassign User
      description: Unassign a user from a session policy.
      operationId: c1.api.session_policy.v1.SessionPolicyService.UnassignUser
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The session policy to unassign from.
            type: string
        - in: path
          name: user_id
          required: true
          schema:
            description: The user to unassign.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.session_policy.v1.SessionPolicyServiceUnassignUserRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.session_policy.v1.SessionPolicyServiceUnassignUserResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: UnassignUser
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SessionPolicy.UnassignUser(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceUnassignUserRequest{\n        ID: \"<id>\",\n        UserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SessionPolicyServiceUnassignUserResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.session_policy.v1.SessionPolicyServiceUnassignUserRequestInput:
      description: The SessionPolicyServiceUnassignUserRequest message.
      title: Session Policy Service Unassign User Request
      type: object
      x-speakeasy-name-override: SessionPolicyServiceUnassignUserRequest
    c1.api.session_policy.v1.SessionPolicyServiceUnassignUserResponse:
      description: The SessionPolicyServiceUnassignUserResponse message.
      title: Session Policy Service Unassign User Response
      type: object
      x-speakeasy-name-override: SessionPolicyServiceUnassignUserResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````